aboutsummaryrefslogtreecommitdiff
path: root/gnome
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2008-03-31 21:34:22 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2008-03-31 21:34:22 +0000
commitcb730989035de8282065d3ea2f00de94a66d3b46 (patch)
treee0d322df78f6dff47b4d7ff156f14c4de6b74771 /gnome
parent80aa61f0e5fb3e914d17b05b559d3706988c42e1 (diff)
downloadslackbuilds-cb730989035de8282065d3ea2f00de94a66d3b46.tar.gz
slackbuilds-cb730989035de8282065d3ea2f00de94a66d3b46.tar.bz2
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1693 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'gnome')
-rw-r--r--gnome/base/gail/gail.SlackBuild7
-rw-r--r--gnome/base/gconf/GConf.SlackBuild3
-rw-r--r--gnome/base/gnome-vfs/gnome-vfs.SlackBuild153
-rw-r--r--gnome/base/gnome-vfs/slack-required8
-rw-r--r--gnome/base/libbonoboui/libbonoboui.SlackBuild153
-rw-r--r--gnome/base/libgnome/libgnome.SlackBuild153
-rw-r--r--gnome/base/libgnome/slack-required9
-rw-r--r--gnome/base/libgnomecanvas/libgnomecanvas.SlackBuild3
-rw-r--r--gnome/base/libgnomeui/libgnomeui.SlackBuild153
-rw-r--r--gnome/base/libgnomeui/slack-required12
-rw-r--r--gnome/extra/at-spi/at-spi.SlackBuild2
-rw-r--r--gnome/extra/at-spi/slack-required1
12 files changed, 651 insertions, 6 deletions
diff --git a/gnome/base/gail/gail.SlackBuild b/gnome/base/gail/gail.SlackBuild
index 1a1ec261..4f44256c 100644
--- a/gnome/base/gail/gail.SlackBuild
+++ b/gnome/base/gail/gail.SlackBuild
@@ -16,7 +16,7 @@
#
# slackbuild for gail, by Rudson R. Alves
# requires: gtk+
-# tested: gail-1.20.1
+# tested: gail-1.22.0
#
# Look for slackbuildrc
@@ -31,7 +31,7 @@ CWD="$(pwd)"
SRC_NAME="gail"
PKG_NAME="gail"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=1.20.1}
+SRC_VERSION=${VERSION:=1.22.0}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -77,7 +77,8 @@ mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
# Dowload source if necessary
SRC="$SRC_NAME-$VERSION.tar.bz2"
-URL="http://ftp.acc.umu.se/pub/gnome/sources/gail/1.20/$SRC"
+SUB_VERSION=`echo $PKG_VERSION | sed 's/\(^[0-9]\+\.[0-9]\+\)\..*$/\1/'`
+URL="http://ftp.gnome.org/pub/gnome/sources/$PKG_NAME/$SUB_VERSION/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
diff --git a/gnome/base/gconf/GConf.SlackBuild b/gnome/base/gconf/GConf.SlackBuild
index 1dacac0a..f5de8174 100644
--- a/gnome/base/gconf/GConf.SlackBuild
+++ b/gnome/base/gconf/GConf.SlackBuild
@@ -77,7 +77,8 @@ mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
# Dowload source if necessary
SRC="$SRC_NAME-$VERSION.tar.bz2"
-URL="http://ftp.acc.umu.se/pub/gnome/sources/GConf/2.20/$SRC"
+SUB_VERSION=`echo $PKG_VERSION | sed 's/\(^[0-9]\+\.[0-9]\+\)\..*$/\1/'`
+URL="http://ftp.gnome.org/pub/gnome/sources/$PKG_NAME/$SUB_VERSION/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
diff --git a/gnome/base/gnome-vfs/gnome-vfs.SlackBuild b/gnome/base/gnome-vfs/gnome-vfs.SlackBuild
new file mode 100644
index 00000000..0627d676
--- /dev/null
+++ b/gnome/base/gnome-vfs/gnome-vfs.SlackBuild
@@ -0,0 +1,153 @@
+#!/bin/bash
+#
+# gnome-vfs.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# gnome-vfs.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for gnome-vfs, by Rudson R. Alves
+# requires: glib libxml2 gnome-mime-data dbus-glib
+# tested: gnome-vfs-2.22.0
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="gnome-vfs"
+PKG_NAME="gnome-vfs"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=2.22.0}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j4"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.bz2"
+SUB_VERSION=`echo $PKG_VERSION | sed 's/\(^[0-9]\+\.[0-9]\+\)\..*$/\1/'`
+URL="http://ftp.gnome.org/pub/gnome/sources/$PKG_NAME/$SUB_VERSION/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="AUTHORS COPYING COPYING.LIB ChangeLog HACKING INSTALL MAINTAINERS NEWS README TODO"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+gnome-vfs: gnome-vfs by Slack.Sarava
+gnome-vfs:
+gnome-vfs: This is the GNOME Virtual File System.
+gnome-vfs:
+gnome-vfs: GNOME VFS is currently used as one of the foundations of the
+gnome-vfs: Nautilus file manager.
+gnome-vfs:
+gnome-vfs:
+gnome-vfs:
+gnome-vfs:
+gnome-vfs:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi
diff --git a/gnome/base/gnome-vfs/slack-required b/gnome/base/gnome-vfs/slack-required
new file mode 100644
index 00000000..53e821c1
--- /dev/null
+++ b/gnome/base/gnome-vfs/slack-required
@@ -0,0 +1,8 @@
+# Dependency list to gnome-vfs
+#
+# dependency [condition] [version]]
+glib >= 2.9.3
+GConf >= 1.1.1
+libxml2 >= 2.6.0
+gnome-mime-data >= 2.0
+dbus-glib >= 0.60
diff --git a/gnome/base/libbonoboui/libbonoboui.SlackBuild b/gnome/base/libbonoboui/libbonoboui.SlackBuild
new file mode 100644
index 00000000..86ceb7a3
--- /dev/null
+++ b/gnome/base/libbonoboui/libbonoboui.SlackBuild
@@ -0,0 +1,153 @@
+#!/bin/bash
+#
+# libbonoboui.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# libbonoboui.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for libbonoboui, by Rudson R. Alves
+# requires:
+# tested: libbonoboui-2.22.0
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="libbonoboui"
+PKG_NAME="libbonoboui"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=2.22.0}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j4"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.bz2"
+SUB_VERSION=`echo $PKG_VERSION | sed 's/\(^[0-9]\+\.[0-9]\+\)\..*$/\1/'`
+URL="http://ftp.gnome.org/pub/gnome/sources/$PKG_NAME/$SUB_VERSION/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="AUTHORS COPYING COPYING.LIB ChangeLog INSTALL MAINTAINERS NEWS README changes.txt"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+libbonoboui: libbonoboui by Slack.Sarava
+libbonoboui:
+libbonoboui:
+libbonoboui:
+libbonoboui:
+libbonoboui:
+libbonoboui:
+libbonoboui:
+libbonoboui:
+libbonoboui:
+libbonoboui:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi
diff --git a/gnome/base/libgnome/libgnome.SlackBuild b/gnome/base/libgnome/libgnome.SlackBuild
new file mode 100644
index 00000000..871e5ede
--- /dev/null
+++ b/gnome/base/libgnome/libgnome.SlackBuild
@@ -0,0 +1,153 @@
+#!/bin/bash
+#
+# libgnome.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# libgnome.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for libgnome, by Rudson R. Alves
+# requires: glib gnome-vfs libbonobo esound audiofile
+# tested: libgnome-2.22.0
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="libgnome"
+PKG_NAME="libgnome"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=2.22.0}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j4"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.bz2"
+SUB_VERSION=`echo $PKG_VERSION | sed 's/\(^[0-9]\+\.[0-9]\+\)\..*$/\1/'`
+URL="http://ftp.gnome.org/pub/gnome/sources/$PKG_NAME/$SUB_VERSION/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="NEWS TODO README AUTHORS INSTALL ChangeLog MAINTAINERS COPYING readme.*"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libgnome: libgnome by Slack.Sarava
+libgnome:
+libgnome: This is the non-gui part of the library formerly known as
+libgnome: gnome-libs.
+libgnome:
+libgnome:
+libgnome:
+libgnome:
+libgnome:
+libgnome:
+libgnome:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi
diff --git a/gnome/base/libgnome/slack-required b/gnome/base/libgnome/slack-required
new file mode 100644
index 00000000..7057a78f
--- /dev/null
+++ b/gnome/base/libgnome/slack-required
@@ -0,0 +1,9 @@
+# Dependency list to libgnome
+#
+# dependency [condition] [version]]
+glib >= 2.8.0
+gnome-vfs >= 2.5.3
+libbonobo >= 2.13.0
+GConf >= 1.1.11
+esound >= 0.2.26
+audiofile >= 0.2.3
diff --git a/gnome/base/libgnomecanvas/libgnomecanvas.SlackBuild b/gnome/base/libgnomecanvas/libgnomecanvas.SlackBuild
index ef583b41..848cecae 100644
--- a/gnome/base/libgnomecanvas/libgnomecanvas.SlackBuild
+++ b/gnome/base/libgnomecanvas/libgnomecanvas.SlackBuild
@@ -77,7 +77,8 @@ mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
# Dowload source if necessary
SRC="$SRC_NAME-$VERSION.tar.bz2"
-URL="http://ftp.acc.umu.se/pub/gnome/sources/libgnomecanvas/2.20/$SRC"
+SUB_VERSION=`echo $PKG_VERSION | sed 's/\(^[0-9]\+\.[0-9]\+\)\..*$/\1/'`
+URL="http://ftp.gnome.org/pub/gnome/sources/$PKG_NAME/$SUB_VERSION/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
diff --git a/gnome/base/libgnomeui/libgnomeui.SlackBuild b/gnome/base/libgnomeui/libgnomeui.SlackBuild
new file mode 100644
index 00000000..46e2ef6f
--- /dev/null
+++ b/gnome/base/libgnomeui/libgnomeui.SlackBuild
@@ -0,0 +1,153 @@
+#!/bin/bash
+#
+# libgnomeui.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# libgnomeui.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for libgnomeui, by Rudson R. Alves
+# requires: libxml2 libgnome libgnomecanvas libbonoboui pango glib gnome-vfs gnome-keyring
+# tested: libgnomeui-2.22.01
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="libgnomeui"
+PKG_NAME="libgnomeui"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=2.22.01}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j4"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.bz2"
+SUB_VERSION=`echo $PKG_VERSION | sed 's/\(^[0-9]\+\.[0-9]\+\)\..*$/\1/'`
+URL="http://ftp.gnome.org/pub/gnome/sources/$PKG_NAME/$SUB_VERSION/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="AUTHORS COPYING.LIB ChangeLog INSTALL MAINTAINERS NEWS README"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+libgnomeui: libgnomeui by Slack.Sarava
+libgnomeui:
+libgnomeui:
+libgnomeui:
+libgnomeui:
+libgnomeui:
+libgnomeui:
+libgnomeui:
+libgnomeui:
+libgnomeui:
+libgnomeui:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi
diff --git a/gnome/base/libgnomeui/slack-required b/gnome/base/libgnomeui/slack-required
new file mode 100644
index 00000000..385db94d
--- /dev/null
+++ b/gnome/base/libgnomeui/slack-required
@@ -0,0 +1,12 @@
+# Dependency list to libgnomeui
+#
+# dependency [condition] [version]]
+libxml2 >= 2.4.20
+libgnome >= 2.13.7
+libgnomecanvas >= 2.0.0
+libbonoboui >= 2.13.1
+GConf >= 1.1.11
+pango >= 1.1.2
+glib >= 2.15.0
+gnome-vfs >= 2.7.3
+gnome-keyring >= 0.4
diff --git a/gnome/extra/at-spi/at-spi.SlackBuild b/gnome/extra/at-spi/at-spi.SlackBuild
index 0741b5ea..8e4dce4c 100644
--- a/gnome/extra/at-spi/at-spi.SlackBuild
+++ b/gnome/extra/at-spi/at-spi.SlackBuild
@@ -15,7 +15,7 @@
# Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for at-spi, by Rudson R. Alves
-# requires: atk
+# requires: atk libbonobo
# tested: at-spi-1.21.1
#
diff --git a/gnome/extra/at-spi/slack-required b/gnome/extra/at-spi/slack-required
index 466fd6cb..d8360a6a 100644
--- a/gnome/extra/at-spi/slack-required
+++ b/gnome/extra/at-spi/slack-required
@@ -2,3 +2,4 @@
#
# dependency [condition] [version]]
atk
+libbonobo